KDE 4.9 PyKDE API Reference

- KDE's Python API

# MetaInfoJob Class Reference

`from PyKDE4.kio import *`

Inherits: KIO.Job → KCompositeJob → KJob → QObject
Namespace: KIO

## Detailed Description

MetaInfoJob is a KIO Job to retrieve meta information from files.

KIO Job to retrieve meta information from files.

## Signals

| failed (KFileItem item)
| gotMetaInfo (KFileItem item)

## Methods

| __init__ (self, KFileItemList items, KFileMetaInfo.WhatFlags w=KFileMetaInfo.Everything, int iocost=3, int cpucost=6, QStringList requiredfields=QStringList(), QStringList requestedfields=QStringList())
| __init__ (self)
| getMetaInfo (self)
| removeItem (self, KFileItem item)
| slotResult (self, KJob job)

## Signal Documentation

failed | ( | KFileItem | item
| ) |  |  |

Emitted when metainfo for item could not be extracted, either because a plugin for its MIME type does not exist, or because something went wrong.

Parameters:

  | item | the KFileItem of the file that failed

Signal syntax:
  `QObject.connect(source, SIGNAL("failed(const KFileItem&)"), target_slot)`

gotMetaInfo | ( | KFileItem | item
| ) |  |  |

Emitted when the meta info for item has been successfully retrieved.

Parameters:

  | item | the KFileItem describing the fetched item

Signal syntax:
  `QObject.connect(source, SIGNAL("gotMetaInfo(const KFileItem&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | KFileItemList | items,
|  | KFileMetaInfo.WhatFlags | w=KFileMetaInfo.Everything,
|  | int | iocost=3,
|  | int | cpucost=6,
|  | QStringList | requiredfields=QStringList(),
|  | QStringList | requestedfields=QStringList()
| ) |  |  |

Creates a new MetaInfoJob.

Parameters:

  | items | A list of KFileItems to get the metainfo for
  | w | Flags which serve as a preset which can be customized with other parameters.
  | iocost | The allowed cost in terms of io to retrieve the metainfo. The approximate maximum number of bytes to be read is 10^iocost. Negative values mean that there is no limit on the cost. 0 means that no fields other than the required fields will be retrieved. The default value of 3 means about 1024 bytes per file may be read. This is merely a suggestion and not a hard limit.
  | cpucost | The allowed cost in terms of cpu to determine the information in the fields. The number mean the amount of instructions allowed is 10^cpucost and is a suggestion only. The default value of 6 means that about a million instructions (10^6) are allowed. This is useful for expensive fields like md5 or thumbnails.
  | requiredfields | The names of fields or groups of fields that should be retrieved regardless of cost.
  | requestedfields | The names of fields or groups of fields that should be retrieved first.

__init__ | ( |  | self ) |

getMetaInfo | ( |  | self ) |

removeItem | ( | self, |
|  | KFileItem | item
| ) |  |  |

Removes an item from metainfo extraction.

Parameters:

  | item | the item that should be removed from the queue

slotResult | ( | self, |
|  | KJob | job
| ) |  |  |